Filtering using more than one instance of each field

2008-04-29 13:21 - Paolo Sulprizio

Status: New Start date: 2008-04-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I would like to filter issues using more than one instance of each field.

Example:

issues with subject containing "email" but not containing "server"...

Related issues:

Related to Redmine - Feature #10999: Ticket list filter: More flexible filter... New

Related to Redmine - Feature #27363: One more filter status for lists / key-v... New

Has duplicate Redmine - Feature #4560: filter update for theme field Closed 2010-01-13

Has duplicate Redmine - Feature #27365: Filtering by two or more values for p... Closed

History

#1 - 2008-04-29 15:01 - Paolo Sulprizio

Sorry, is a feature req, not a defect!!

#2 - 2009-02-04 18:40 - loic Le Gallou

I have the same need, especially for filtering dates: In our team we need to know what is the expected charge of each developer for each month. In

the current redmine version (0.8.0), it is not possible to filter a date that start after X days and before Y days, so we cannot filter a set of tasks

expected to start (or to finished) during a month.

#3 - 2011-04-08 08:53 - Etienne Massip

- Category set to Issues

#4 - 2014-04-24 07:53 - @ go2null

Note: you can currently filter text fields thus:

field contains value1%value2

Obvious caveat: value1 must be before value2 in field.

#5 - 2015-11-17 13:48 - Jānis Elmeris

+1

#6 - 2017-11-05 07:50 - Go MAEDA

- Category changed from Issues to Issues filter

#7 - 2017-11-05 07:59 - Go MAEDA

- Has duplicate Feature #27365: Filtering by two or more values for parameters without choosable options added

#8 - 2017-12-01 16:34 - Toshi MARUYAMA

- Related to Feature #27363: One more filter status for lists / key-value lists added

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

http://www.tcpdf.org

